int increment = 5;

void setup()
{
  size( 400, 400 );
}

void draw()
{
  background( 255 );
  noFill();
  stroke( 0 );

  // loop from left to right:
  for ( int x = 0; x <= width; x = x + increment ) {
    line( mouseX, mouseY, x, 0 ); // draw line to the top
    line( mouseX, mouseY, x, height ); // draw line to the bottom
  }

  // loop from top to bottom::
  for ( int y = increment; y < height; y = y + increment ) {
    line( mouseX, mouseY, 0, y ); // draw line to the left
    line( mouseX, mouseY, width, y ); // draw line to the right
  }
}


void keyPressed()
{
  // make the lines further apart when the up arrow pressed:
  if ( keyCode == UP ) {
    increment++; // shortcut for increment = increment + 1;
  }

  // make the lines closer together when the down arrow pressed:
  //  (but don't let increment get smaller than 1 - that would be a problem...)
  else if ( keyCode == DOWN && increment > 1 ) {
    increment--; // shortcut for increment = increment - 1;
  }
}
